%define api		2.91
%define apigtk4		3.91
%define major		0
%define libname		%mklibname vte %{api} %{major}
%define libgtk4name	%mklibname vte-gtk4_ %{api} %{major}
%define girname		%mklibname vte-gir %{api}
%define girgtk4name	%mklibname vte-gir %{apigtk4}
%define develname	%mklibname -d %{name}
%define develgtk4name	%mklibname -d %{name}-gtk4

Name:		vte
Version:	0.79.0
Release:	%mkrel 1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
BuildRequires:	fast_float
BuildRequires:	gi-docgen
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(x11)
BuildRequires:	systemd
Requires:	%{name}-profile >= %{version}-%{release}

%description
VTE is a terminal emulator widget for use with GTK+ 3.0 and GTK+ 4.0.

%package glade
Summary:	Glade catalogs and icons for VTE Terminal
Group:		Development/Other
BuildArch:	noarch

%description glade
Glade catalogs and icons for VTE Terminal.

%package -n %{libname}
Summary:        GTK3 terminal emulator library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
VTE is a library implementing a terminal emulator widget for GTK 3. VTE is
mainly used in gnome-terminal, but can also be used to embed a console/terminal
in games, editors, IDEs, etc.

%package -n %{libgtk4name}
Summary:        GTK4 terminal emulator library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libgtk4name}
VTE is a library implementing a terminal emulator widget for GTK 4. VTE is
mainly used in gnome-terminal, but can also be used to embed a console/terminal
in games, editors, IDEs, etc.

%package gtk3
Summary:	VTE demo app based on GTK+ 3
Group:		Graphical desktop/GNOME

%description gtk3
VTE demo app based on GTK+ 3.

%package gtk4
Summary:	VTE demo app based on GTK+ 4
Group:		Graphical desktop/GNOME

%description gtk4
VTE demo app based on GTK+ 4.

%package -n %{develname}
Summary:	Files needed for developing applications which use VTE for GTK+ 3
Group:		Development/C
Provides:	vte-devel = %{version}-%{release}
Provides:	vte3-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Recommends:	%{name}-glade = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}

%description -n %{develname}
VTE is a terminal emulator widget for use with GTK+ 3.0. This package contains
the files needed for building applications using VTE.

%package -n %{develgtk4name}
Summary:	Files needed for developing applications which use VTE for GTK+ 4
Group:		Development/C
Provides:	vte-gtk4-devel = %{version}-%{release}
Requires: 	%{libgtk4name} = %{version}-%{release}
Requires:	%{girgtk4name} = %{version}-%{release}
Recommends:	%{name}-glade = %{version}-%{release}
Recommends:	%{name}-gtk4 = %{version}-%{release}

%description -n %{develgtk4name}
VTE is a terminal emulator widget for use with GTK+ 4.0. This package contains
the files needed for building applications using VTE.

%package -n %{girname}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for vte with GTK+ 3.0.

%package -n %{girgtk4name}
Summary:	GObject Introspection interface description for vte with GTK+ 4.0
Group:		System/Libraries
Requires:	%{libgtk4name} = %{version}-%{release}

%description -n %{girgtk4name}
GObject Introspection interface description for vte with GTK+ 4.0.

%package profile
Summary:	Profile script for VTE terminal emulator library
BuildArch:	noarch

%description profile
This package package contains a profile.d script for the VTE terminal emulator
library.

%prep
%autosetup -p1 -n vte-%{version}

%build
%meson -Ddocs=true -Dgtk3=true -Dgtk4=true
%meson_build

%install
%meson_install

%find_lang vte-%{api}

%files -f vte-%{api}.lang
%{_libexecdir}/vte-urlencode-cwd
%{_userunitdir}/vte-spawn-.scope.d/defaults.conf
%{_datadir}/vte-%{api}/terminfo/x/xterm-256color

%files gtk3
%{_bindir}/vte-%{api}
%{_datadir}/applications/vte-gtk3.desktop
%{_datadir}/xdg-terminals/vte-gtk3.desktop

%files gtk4
%{_bindir}/vte-%{api}-gtk4
%{_datadir}/applications/vte-gtk4.desktop
%{_datadir}/xdg-terminals/vte-gtk4.desktop

%files glade
%{_datadir}/glade/catalogs/%{name}*
%{_datadir}/glade/pixmaps/hicolor/*/*/*-%{name}*.*

%files profile
%{_sysconfdir}/profile.d/vte.sh
%{_sysconfdir}/profile.d/vte.csh

%files -n %{libname}
%{_libdir}/libvte-%{api}.so.%{major}{,.*}

%files -n %{libgtk4name}
%{_libdir}/libvte-%{api}-gtk4.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Vte-%{api}.typelib

%files -n %{girgtk4name}
%{_libdir}/girepository-1.0/Vte-%{apigtk4}.typelib

%files -n %{develname}
%doc %{_docdir}/vte-%{api}/
%{_includedir}/vte-%{api}
%{_libdir}/libvte-%{api}.so
%{_libdir}/pkgconfig/vte-%{api}.pc
%{_datadir}/gir-1.0/Vte-%{api}.gir
%{_datadir}/vala/vapi/vte-%{api}.deps
%{_datadir}/vala/vapi/vte-%{api}.vapi

%files -n %{develgtk4name}
%doc %{_docdir}/vte-%{api}-gtk4/
%{_includedir}/vte-%{api}-gtk4/
%{_libdir}/libvte-%{api}-gtk4.so
%{_libdir}/pkgconfig/vte-%{api}-gtk4.pc
%{_datadir}/gir-1.0/Vte-%{apigtk4}.gir
%{_datadir}/vala/vapi/vte-%{api}-gtk4.deps
%{_datadir}/vala/vapi/vte-%{api}-gtk4.vapi


%changelog
* Sat Feb 01 2025 wally <wally> 0.79.0-1.mga10
+ Revision: 2144039
- new version 0.79.0

* Sun Jan 12 2025 wally <wally> 0.78.2-2.mga10
+ Revision: 2138419
- rebuild for icu 76.1

* Sat Nov 30 2024 daviddavid <daviddavid> 0.78.2-1.mga10
+ Revision: 2120047
- new version 0.78.2

* Wed Sep 18 2024 daviddavid <daviddavid> 0.78.0-1.mga10
+ Revision: 2098402
- new version 0.78.0

* Thu Jun 13 2024 ns80 <ns80> 0.76.3-1.mga10
+ Revision: 2072980
- new version 0.76.3 for CVE-2024-37535 (mga#33277)

* Sun Jun 02 2024 daviddavid <daviddavid> 0.76.2-1.mga10
+ Revision: 2069332
- new version 0.76.2

* Tue Mar 19 2024 daviddavid <daviddavid> 0.76.0-1.mga10
+ Revision: 2050627
- new version 0.76.0

* Tue Sep 26 2023 tv <tv> 0.74.0-2.mga10
+ Revision: 1991093
- Rebuild for icu-73

* Fri Sep 22 2023 tv <tv> 0.74.0-1.mga10
+ Revision: 1989322
- Update to 0.74.0

* Mon Apr 24 2023 neoclust <neoclust> 0.72.1-1.mga9
+ Revision: 1954692
- New version 0.72.1
- New version 0.72.1

* Sat Apr 22 2023 tmb <tmb> 0.72.0-1.mga9
+ Revision: 1954150
- update to 0.72.0

* Sat Jan 07 2023 squidf <squidf> 0.70.2-2.mga9
+ Revision: 1931180
- Mass rebuild for icu 72.1

* Wed Dec 14 2022 tv <tv> 0.70.2-1.mga9
+ Revision: 1922039
- Update to 0.70.2

* Fri Nov 25 2022 tv <tv> 0.70.1-1.mga9
+ Revision: 1910910
- Update to 0.70.1

* Tue Sep 27 2022 wally <wally> 0.70.0-3.mga9
+ Revision: 1892690
- provide vte-gtk4-devel with gtk4 devel pkg
- split out demo apps to avoid pulling unneeded libs
- split out glade catalogs and icons

* Mon Sep 19 2022 tmb <tmb> 0.70.0-2.mga9
+ Revision: 1890512
- rebuild for missing signature

* Mon Sep 19 2022 tv <tv> 0.70.0-1.mga9
+ Revision: 1890157
- Update to 0.70.0
- Enable GTK4 support

* Sat Jun 18 2022 squidf <squidf> 0.68.0-2.mga9
+ Revision: 1864925
- rebuild for icu 71.1

* Mon Mar 28 2022 tv <tv> 0.68.0-1.mga9
+ Revision: 1829787
- Update to 0.68.0

* Tue Mar 15 2022 tv <tv> 0.67.90-1.mga9
+ Revision: 1793240
- 0.67.90

* Wed Dec 08 2021 ovitters <ovitters> 0.66.2-1.mga9
+ Revision: 1761065
- new version 0.66.2
- new version 0.66.1

* Sat Nov 06 2021 joequant <joequant> 0.66.0-1.mga9
+ Revision: 1754064
- update to 0.66.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.64.2-2.mga9
+ Revision: 1738985
- rebuild for icu

* Wed Jun 16 2021 ovitters <ovitters> 0.64.2-1.mga9
+ Revision: 1730971
- new version 0.64.2
- new version 0.64.1

* Fri Apr 16 2021 ovitters <ovitters> 0.64.0-1.mga9
+ Revision: 1716102
- new version 0.64.0

* Thu Mar 25 2021 ovitters <ovitters> 0.63.91-1.mga9
+ Revision: 1709977
- new version 0.63.91

* Wed Mar 24 2021 ovitters <ovitters> 0.62.3-1.mga9
+ Revision: 1709363
- new version 0.62.3

* Fri Jan 22 2021 ovitters <ovitters> 0.62.2-1.mga8
+ Revision: 1672895
- new version 0.62.2

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.62.1-2.mga8
+ Revision: 1651613
- rebuild for icu

* Thu Oct 08 2020 ovitters <ovitters> 0.62.1-1.mga8
+ Revision: 1632745
- new version 0.62.1

* Wed Sep 16 2020 tv <tv> 0.62.0-3.mga8
+ Revision: 1626916
- revert bogus provides

* Wed Sep 16 2020 tv <tv> 0.62.0-2.mga8
+ Revision: 1626905
- add provides for virt-manager

* Tue Sep 15 2020 tv <tv> 0.62.0-1.mga8
+ Revision: 1626658
- 0.62.0 from gitlab

* Mon Aug 10 2020 ovitters <ovitters> 0.61.90-1.mga8
+ Revision: 1612890
- upstream does not ship a NEWS file anymore :-(
- new version 0.61.90

* Wed Jul 01 2020 wally <wally> 0.60.3-2.mga8
+ Revision: 1601076
- rebuild for icu 67.1

* Fri Jun 12 2020 tv <tv> 0.60.3-1.mga8
+ Revision: 1592715
- 0.60.3

* Tue Apr 28 2020 wally <wally> 0.60.2-2.mga8
+ Revision: 1572976
- rename as vte

* Sat Apr 25 2020 ovitters <ovitters> 0.60.2-1.mga8
+ Revision: 1572144
- new version 0.60.2

* Sat Apr 04 2020 wally <wally> 0.60.1-2.mga8
+ Revision: 1564511
- rebuild for new icu 66.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 ovitters <ovitters> 0.60.1-1.mga8
+ Revision: 1561226
- new version 0.60.1

* Thu Mar 05 2020 ovitters <ovitters> 0.60.0-1.mga8
+ Revision: 1554193
- new version 0.60.0

* Sat Feb 29 2020 ovitters <ovitters> 0.59.92-1.mga8
+ Revision: 1552465
- new version 0.59.92

* Tue Feb 18 2020 umeabot <umeabot> 0.59.91-2.mga8
+ Revision: 1538593
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 0.59.91-1.mga8
+ Revision: 1537574
- new version 0.59.91

* Sat Nov 23 2019 ovitters <ovitters> 0.58.3-1.mga8
+ Revision: 1462516
- new version 0.58.3

* Fri Oct 11 2019 ovitters <ovitters> 0.58.2-1.mga8
+ Revision: 1451981
- new version 0.58.2

* Mon Oct 07 2019 ovitters <ovitters> 0.58.1-1.mga8
+ Revision: 1450441
- new version 0.58.1

* Mon Sep 09 2019 ovitters <ovitters> 0.58.0-1.mga8
+ Revision: 1439047
- new version 0.58.0

* Mon Aug 05 2019 ovitters <ovitters> 0.57.90-1.mga8
+ Revision: 1427488
- new version 0.57.90

* Mon Aug 05 2019 tv <tv> 0.57.3-1.mga8
+ Revision: 1427486
- new release

* Wed May 08 2019 tmb <tmb> 0.56.3-1.mga7
+ Revision: 1396825
- update to 0.56.3

* Tue Apr 09 2019 ovitters <ovitters> 0.56.1-1.mga7
+ Revision: 1387333
- new version 0.56.1

* Tue Mar 12 2019 daviddavid <daviddavid> 0.56.0-1.mga7
+ Revision: 1374397
- new version 0.56.0

* Thu Mar 07 2019 ovitters <ovitters> 0.55.92-1.mga7
+ Revision: 1372621
- new version 0.55.92

* Sat Feb 23 2019 wally <wally> 0.54.3-2.mga7
+ Revision: 1369654
- drop old vte2.90

* Mon Dec 10 2018 ovitters <ovitters> 0.54.3-1.mga7
+ Revision: 1340047
- new version 0.54.3

* Mon Oct 22 2018 ovitters <ovitters> 0.54.2-1.mga7
+ Revision: 1323936
- new version 0.54.2

* Mon Sep 24 2018 ovitters <ovitters> 0.54.1-1.mga7
+ Revision: 1303619
- new version 0.54.1

* Sun Sep 02 2018 ovitters <ovitters> 0.54.0-1.mga7
+ Revision: 1256256
- new version 0.54.0

* Mon Aug 27 2018 ovitters <ovitters> 0.53.92-1.mga7
+ Revision: 1255046
- new version 0.53.92

* Wed May 23 2018 ovitters <ovitters> 0.53.0-1.mga7
+ Revision: 1231933
- new version 0.53.0

* Mon May 21 2018 ovitters <ovitters> 0.52.2-1.mga7
+ Revision: 1231261
- new version 0.52.2

* Mon Apr 09 2018 ovitters <ovitters> 0.52.1-1.mga7
+ Revision: 1216854
- new version 0.52.1

* Mon Mar 12 2018 ovitters <ovitters> 0.52.0-1.mga7
+ Revision: 1208727
- new version 0.52.0

* Mon Mar 05 2018 ovitters <ovitters> 0.51.92-1.mga7
+ Revision: 1206836
- new version 0.51.92

* Thu Feb 15 2018 ovitters <ovitters> 0.51.90-1.mga7
+ Revision: 1201573
- new version 0.51.90

* Wed Jan 10 2018 ovitters <ovitters> 0.51.3-1.mga7
+ Revision: 1192193
- new version 0.51.3

* Wed Nov 01 2017 ovitters <ovitters> 0.50.2-1.mga7
+ Revision: 1175347
- new version 0.50.2

* Tue Oct 03 2017 ovitters <ovitters> 0.50.1-1.mga7
+ Revision: 1167922
- new version 0.50.1

* Tue Sep 12 2017 ovitters <ovitters> 0.50.0-1.mga7
+ Revision: 1153142
- new version 0.50.0

* Sat Sep 09 2017 ovitters <ovitters> 0.49.92-1.mga7
+ Revision: 1152028
- new version 0.49.92

* Wed May 10 2017 ovitters <ovitters> 0.48.3-1.mga6
+ Revision: 1100078
- new version 0.48.3

* Wed Apr 12 2017 ovitters <ovitters> 0.48.2-1.mga6
+ Revision: 1096462
- new version 0.48.2

* Wed Mar 22 2017 ovitters <ovitters> 0.48.1-1.mga6
+ Revision: 1094357
- new version 0.48.1

* Mon Nov 07 2016 ovitters <ovitters> 0.46.1-1.mga6
+ Revision: 1065714
- new version 0.46.1

* Mon Sep 26 2016 tv <tv> 0.46.0-4.mga6
+ Revision: 1056828
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 19 2016 tv <tv> 0.46.0-3.mga6
+ Revision: 1054162
- rebuild for fixed typelib() provides

* Mon Sep 19 2016 tv <tv> 0.46.0-2.mga6
+ Revision: 1054137
- rebuid for proper typelib() provides

* Mon Sep 19 2016 ovitters <ovitters> 0.46.0-1.mga6
+ Revision: 1054114
- new version 0.46.0

* Sun Sep 18 2016 ovitters <ovitters> 0.45.90-1.mga6
+ Revision: 1053918
- new version 0.45.90

* Sat Aug 13 2016 wally <wally> 0.44.2-2.mga6
+ Revision: 1046307
- remove unneeded requires for ncurses-extraterms (as xterm-256color was moved to main ncurses pkg)

* Tue May 10 2016 ovitters <ovitters> 0.44.2-1.mga6
+ Revision: 1012156
- new version 0.44.2

* Mon Apr 11 2016 ovitters <ovitters> 0.44.1-1.mga6
+ Revision: 1000400
- new version 0.44.1

* Tue Mar 22 2016 ovitters <ovitters> 0.44.0-1.mga6
+ Revision: 993960
- new version 0.44.0

* Tue Mar 15 2016 ovitters <ovitters> 0.43.92-1.mga6
+ Revision: 990964
- new version 0.43.92

* Tue Mar 01 2016 ovitters <ovitters> 0.43.91-1.mga6
+ Revision: 981610
- new version 0.43.91

* Fri Feb 19 2016 tv <tv> 0.43.90-1.mga6
+ Revision: 967611
- 0.43.90

* Mon Feb 15 2016 luigiwalser <luigiwalser> 0.43.2-1.mga6
+ Revision: 960482
- add patch to fix linking pthread
+ ovitters <ovitters>
- new version 0.43.2
- new version 0.43.1

* Tue Jan 12 2016 danf <danf> 0.43.0-2.mga6
+ Revision: 922261
- Rebuild for new gnutls

* Mon Nov 23 2015 ovitters <ovitters> 0.43.0-1.mga6
+ Revision: 905180
- new version 0.43.0

* Wed Oct 14 2015 ovitters <ovitters> 0.42.1-1.mga6
+ Revision: 891124
- new version 0.42.1

* Thu Sep 24 2015 tv <tv> 0.42.0-1.mga6
+ Revision: 882562
- adjust file list
- new release

* Thu Aug 20 2015 ovitters <ovitters> 0.41.90-1.mga6
+ Revision: 866954
- new version 0.41.90

* Mon Jun 29 2015 wally <wally> 0.40.2-3.mga6
+ Revision: 847872
- add requires for gir pkg to devel pkg

* Wed Jun 24 2015 ovitters <ovitters> 0.40.2-2.mga6
+ Revision: 841684
- require ncurses-extraterms as vte now defaults to TERM=xterm-256color

* Mon Jun 22 2015 ovitters <ovitters> 0.40.2-1.mga6
+ Revision: 839852
- new version 0.40.2

* Mon Dec 22 2014 ovitters <ovitters> 0.38.3-1.mga5
+ Revision: 804795
- new version 0.38.3

* Tue Nov 11 2014 ovitters <ovitters> 0.38.2-1.mga5
+ Revision: 796299
- new version 0.38.2

* Wed Oct 15 2014 umeabot <umeabot> 0.38.1-2.mga5
+ Revision: 741332
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 0.38.1-1.mga5
+ Revision: 738335
- new version 0.38.1

* Fri Sep 26 2014 wally <wally> 0.38.0-3.mga5
+ Revision: 724973
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.38.0-2.mga5
+ Revision: 690249
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 ovitters <ovitters> 0.38.0-1.mga5
+ Revision: 675292
- new version 0.38.0

* Tue Aug 26 2014 wally <wally> 0.37.90-2.mga5
+ Revision: 668427
- split out profile.d script to be also used with vte2.90

* Sat Aug 23 2014 dams <dams> 0.37.90-1.mga5
+ Revision: 666712
- new version 0.37.90

* Mon Jul 21 2014 colin <colin> 0.37.2-2.mga5
+ Revision: 655163
- Fix terminal title tilde handling with bash 4.3+ (bgo#733504)

* Mon Jun 23 2014 ovitters <ovitters> 0.37.2-1.mga5
+ Revision: 638979
- new version 0.37.2

* Thu May 29 2014 ovitters <ovitters> 0.37.1-1.mga5
+ Revision: 627682
- new version 0.37.1
- drop patch (seems merged, not sure)

* Mon May 12 2014 ovitters <ovitters> 0.36.2-1.mga5
+ Revision: 622309
- new version 0.36.2

* Sat Apr 26 2014 ovitters <ovitters> 0.36.1-1.mga5
+ Revision: 618214
- new version 0.36.1

* Mon Mar 24 2014 ovitters <ovitters> 0.36.0-1.mga5
+ Revision: 608017
- new version 0.36.0

* Tue Feb 18 2014 ovitters <ovitters> 0.35.2-1.mga5
+ Revision: 594496
- new version 0.35.2

* Wed Feb 05 2014 ovitters <ovitters> 0.35.1-1.mga5
+ Revision: 582835
- new version 0.35.1

* Tue Oct 22 2013 umeabot <umeabot> 0.34.9-2.mga4
+ Revision: 542436
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 0.34.9-1.mga4
+ Revision: 497572
- new version 0.34.9

* Tue Sep 17 2013 ovitters <ovitters> 0.34.8-1.mga4
+ Revision: 480514
- new version 0.34.8

* Wed Jul 10 2013 ovitters <ovitters> 0.34.7-1.mga4
+ Revision: 452668
- new version 0.34.7

* Mon Jun 10 2013 ovitters <ovitters> 0.34.6-1.mga4
+ Revision: 441850
- new version 0.34.6

* Fri May 24 2013 fwang <fwang> 0.34.5-1.mga4
+ Revision: 425768
- new version 0.34.5

* Mon Jan 14 2013 umeabot <umeabot> 0.34.2-3.mga3
+ Revision: 385577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.34.2-2.mga3
+ Revision: 337864
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 0.34.2-1.mga3
+ Revision: 317440
- new version 0.34.2

* Tue Oct 16 2012 ovitters <ovitters> 0.34.1-1.mga3
+ Revision: 307007
- new version 0.34.1

* Mon Sep 17 2012 fwang <fwang> 0.34.0-1.mga3
+ Revision: 294667
- new version 0.34.0

* Wed Aug 29 2012 fwang <fwang> 0.33.90-1.mga3
+ Revision: 285485
- update file list
- new version 0.33.90

* Sun Aug 05 2012 fwang <fwang> 0.32.2-2.mga3
+ Revision: 278949
- use real libexecdir

* Tue May 29 2012 ovitters <ovitters> 0.32.2-1.mga3
+ Revision: 249490
- new version 0.32.2

* Mon Apr 16 2012 ovitters <ovitters> 0.32.1-1.mga2
+ Revision: 231107
- new version 0.32.1

* Wed Mar 21 2012 ovitters <ovitters> 0.32.0-1.mga2
+ Revision: 225481
- clean spec
- update file list
- new version 0.32.0
- drop merged patch

* Thu Mar 08 2012 colin <colin> 0.31.0-3.mga2
+ Revision: 221411
- Require ncurses for tgetent
- Fix mouse scrolling after latest gtk+ (bgo#671305)

* Tue Nov 22 2011 wally <wally> 0.31.0-2.mga2
+ Revision: 170930
- add P0 to fix Alt+key combinations not working (bgo#663779)

* Mon Nov 21 2011 wally <wally> 0.31.0-1.mga2
+ Revision: 170468
- new version 0.31.0
- clean .spec a bit

* Mon Oct 17 2011 fwang <fwang> 0.30.1-1.mga2
+ Revision: 155712
- new version 0.30.1

* Mon Sep 26 2011 fwang <fwang> 0.30.0-1.mga2
+ Revision: 148646
- new version 0.30.0

* Sat Sep 17 2011 fwang <fwang> 0.29.1-1.mga2
+ Revision: 144493
- fix req
- commit sha1
- 0.29.1: gtk3-only
- Created package structure for vte3.


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.26.2-2mdv2011.0
+ Revision: 627735
- don't force the usage of automake1.7

* Sun Nov 14 2010 Götz Waschk <waschk@mandriva.org> 0.26.2-1mdv2011.0
+ Revision: 597525
- update to new version 0.26.2

* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 0.26.1-2mdv2011.0
+ Revision: 591698
- rebuild for python 2.7

* Wed Oct 13 2010 Götz Waschk <waschk@mandriva.org> 0.26.1-1mdv2011.0
+ Revision: 585384
- update to new version 0.26.1

* Sun Sep 26 2010 Götz Waschk <waschk@mandriva.org> 0.26.0-1mdv2011.0
+ Revision: 581131
- update to new version 0.26.0

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.25.91-2mdv2011.0
+ Revision: 577690
- enable introspection support

* Sun Aug 29 2010 Götz Waschk <waschk@mandriva.org> 0.25.91-1mdv2011.0
+ Revision: 574132
- update to new version 0.25.91

* Thu Aug 19 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.25.90-2mdv2011.0
+ Revision: 571381
- Allow alt to work again (gnome bug #601926)

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 0.25.90-1mdv2011.0
+ Revision: 570627
- new version
- drop patch
- update file list

* Tue Aug 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.25.1-2mdv2011.0
+ Revision: 565638
- Patch1: fix missing curson on xfce terminal (thanks Eugeni)

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.25.1-1mdv2011.0
+ Revision: 563361
- update to new version 0.25.1

* Thu Jul 15 2010 Götz Waschk <waschk@mandriva.org> 0.24.3-1mdv2011.0
+ Revision: 553736
- update to new version 0.24.3

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.24.2-1mdv2011.0
+ Revision: 550826
- update to new version 0.24.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.24.1-2mdv2010.1
+ Revision: 540304
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 0.24.1-1mdv2010.1
+ Revision: 538980
- new version
- drop patch

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.24.0-2mdv2010.1
+ Revision: 533716
- fix transparency

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 0.24.0-1mdv2010.1
+ Revision: 528803
- update to new version 0.24.0

  + Shlomi Fish <shlomif@mandriva.org>
    - Fixed a typo - "An" to "A"

* Thu Jan 14 2010 Götz Waschk <waschk@mandriva.org> 0.23.5-1mdv2010.1
+ Revision: 491147
- update to new version 0.23.5

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 0.23.2-1mdv2010.1
+ Revision: 481438
- new version
- disable gtk-doc (b.g.o 605113)

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 0.23.1-1mdv2010.1
+ Revision: 475372
- update to new version 0.23.1

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 0.22.5-1mdv2010.1
+ Revision: 467800
- update to new version 0.22.5

* Sun Nov 08 2009 Götz Waschk <waschk@mandriva.org> 0.22.4-1mdv2010.1
+ Revision: 463214
- update to new version 0.22.4

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.22.3-1mdv2010.1
+ Revision: 460922
- update to new version 0.22.3

* Mon Sep 28 2009 Götz Waschk <waschk@mandriva.org> 0.22.2-1mdv2010.0
+ Revision: 450703
- update to new version 0.22.2

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.22.1-1mdv2010.0
+ Revision: 449386
- update to new version 0.22.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.22.0-1mdv2010.0
+ Revision: 446973
- update to new version 0.22.0

* Fri Sep 18 2009 Götz Waschk <waschk@mandriva.org> 0.21.7-1mdv2010.0
+ Revision: 444271
- new version
- drop patch

* Fri Sep 18 2009 Götz Waschk <waschk@mandriva.org> 0.21.6-1mdv2010.0
+ Revision: 444255
- new version
- fix build

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 0.21.5-1mdv2010.0
+ Revision: 437375
- update to new version 0.21.5

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.21.4-1mdv2010.0
+ Revision: 421332
- update to new version 0.21.4

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.21.2-1mdv2010.0
+ Revision: 421217
- update to new version 0.21.2

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.21.1-1mdv2010.0
+ Revision: 420758
- update to new version 0.21.1

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.20.5-1mdv2010.0
+ Revision: 384663
- new version
- new major

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.20.4-1mdv2010.0
+ Revision: 382139
- new version
- new major

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 0.20.3-1mdv2010.0
+ Revision: 379782
- update to new version 0.20.3

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 0.20.2-1mdv2010.0
+ Revision: 371970
- update to new version 0.20.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.20.1-1mdv2009.1
+ Revision: 366954
- update to new version 0.20.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 0.20.0-1mdv2009.1
+ Revision: 355385
- update to new version 0.20.0

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.19.4-2mdv2009.1
+ Revision: 319689
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 0.19.4-1mdv2009.1
+ Revision: 315797
- new version
- update file list

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 0.19.3-1mdv2009.1
+ Revision: 310823
- update to new version 0.19.3

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 0.19.2-1mdv2009.1
+ Revision: 310722
- update to new version 0.19.2

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-1mdv2009.1
+ Revision: 309058
- new version
- drop patch

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.17.4-1mdv2009.0
+ Revision: 287332
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 0.17.3-1mdv2009.0
+ Revision: 282821
- new version

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.17.2-1mdv2009.0
+ Revision: 271716
- new version

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.17.1-1mdv2009.0
+ Revision: 263819
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Götz Waschk <waschk@mandriva.org> 0.16.14-1mdv2009.0
+ Revision: 216440
- fix buildrequires
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.16.13-1mdv2008.1
+ Revision: 183825
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.16.12-1mdv2008.1
+ Revision: 146373
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 0.16.11-1mdv2008.1
+ Revision: 131084
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 0.16.10-1mdv2008.1
+ Revision: 115228
- new version

* Wed Sep 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.16.9-2mdv2008.0
+ Revision: 90787
- Rebuilt.

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 0.16.9-1mdv2008.0
+ Revision: 89465
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.16.8-1mdv2008.0
+ Revision: 56584
- new version
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.16.6-1mdv2008.0
+ Revision: 41258
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.16.5-1mdv2008.0
+ Revision: 35194
- new version
- drop patch 3

* Wed May 30 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.4-2mdv2008.0
+ Revision: 32845
- Remove patch0 (no longer needed)
- Patch3 (SVN): fix underline bug

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.16.4-1mdv2008.0
+ Revision: 32372
- new version

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 0.16.3-1mdv2008.0
+ Revision: 18509
- new version
- drop merged patch 10

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 0.16.2-1mdv2008.0
+ Revision: 17772
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2008.0
+ Revision: 14126
- new version
- drop merged patches 1,3,4,5,6,7,8,9,11,12


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-9mdv2007.1
+ Revision: 149099
- Patch12 (SVN): fix root location when embedding widget (GNOME bug #422385)
- Patch11: fix glyph truncated near cursor (GNOME bug #420935)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-7mdv2007.1
+ Revision: 146660
- Patch8: fix workspace refresh (GNOME bug #419116)
- Patch9: fix expose events not processed when receiving unseen incoming data (GNOME #420067)
- Patch10: fix vte becomeing unresponsive after workspace switch (GNOME bug #414716)

* Sun Mar 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-6mdv2007.1
+ Revision: 145775
- Patch5 (SVN): fix rendering glitch for autowrapped chars (GNOME bug #416634)
- Patch6 (SVN): fix mouse scrolling (GNOME bug #418910)
- Patch7 (SVN): detect dpi change (GNOME bug #417301)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-5mdv2007.1
+ Revision: 144305
- Patch4: prevent invalid read (and crash) with preedit cursor (GNOME bug #418588)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-4mdv2007.1
+ Revision: 144296
- Update patch 1 to new upstream version, fix regression
- Disable double expose patch, it prevents correct refresh

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-2mdv2007.1
+ Revision: 144163
- Patch0: fix scrolling bug with nvi (GNOME bug #417652)
- Patch1: fix double expose (GNOME bug #416635)
- Patch2: add reaper python binding (GNOME bug #320127)
- Patch3: fix transparency (GNOME #418073, Mdv bug #29510)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 0.16.0-1mdv2007.1
+ Revision: 142141
- new version
- drop patch

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.6-2mdv2007.1
+ Revision: 133511
- Patch0 (SVN): fix dead terminal (GNOME bug #414716)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 0.15.6-1mdv2007.1
+ Revision: 130589
- new version
- drop patches

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.5-2mdv2007.1
+ Revision: 130335
-Patch1 (SVN): fix crash with drakconsole (Mdv bug #29010)

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.15.5-1mdv2007.1
+ Revision: 126688
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.15.4-1mdv2007.1
+ Revision: 126161
- new version
- drop patches 1,2

* Mon Feb 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.3-3mdv2007.1
+ Revision: 122850
- Patch2 (SVN): fix crash when opening tag (speciale dedicade for rtp)

* Mon Feb 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.3-2mdv2007.1
+ Revision: 122791
- Patch1 (SVN): fix scrolling under screen (special dedicace to saispo :)

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 0.15.3-1mdv2007.1
+ Revision: 120278
- new version
- fix build

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 0.15.2-1mdv2007.1
+ Revision: 112237
- new version
- drop patch 1

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-2mdv2007.1
+ Revision: 106889
- Fix #28068: SegFault on x86_64

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 0.15.1-1mdv2007.1
+ Revision: 106347
- new version
- reenable gtk-doc

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 0.15.0-1mdv2007.1
+ Revision: 91593
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.14.1-3mdv2007.1
+ Revision: 63798
- rebuild
- unpack patch
- fix patch name
- Import vte

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 0.14.1-1mdv2007.0
- drop patch 1
- New version 0.14.1

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.14.0-3mdv2007.0
- Rebuild

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.0-2mdv2007.0
- Patch1 (CVS): don't output warning when control sequence are not handled (CVS)

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.14.0-1mdv2007.0
- New version 0.14.0

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.13.7-1mdv2007.0
- New release 0.13.7

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.6-1mdv2007.0
- Release 0.13.6

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.13.5-1mdv2007.0
- New release 0.13.5

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.13.4-1
- New release 0.13.4

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 0.13.3-1
- New release 0.13.3

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 0.13.2-1
- New release 0.13.2

* Sun Jun 04 2006 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.1-1mdv2007.0
- Release 0.13.1

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2007.0
- fix buildrequires
- New release 0.12.2

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.12.1-2mdk
- fix buildrequires

* Fri Apr 28 2006 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdk
- New release 0.12.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdk
- New release 0.12.0

* Thu Mar 09 2006 Götz Waschk <waschk@mandriva.org> 0.11.21-1mdk
- drop patch 1
- New release 0.11.21

* Wed Mar 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.20-2mdk
- Patch1 (CVS): fix bad latency (GNOME bug #333776)

* Sun Feb 26 2006 Götz Waschk <waschk@mandriva.org> 0.11.20-1mdk
- New release 0.11.20

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 0.11.19-2mdk
- update description (Adam)

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 0.11.19-1mdk
- New release 0.11.19

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.18-1mdk
- Fix compilation with old distro

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.11.18-1mdk
- New release 0.11.18

* Wed Feb 01 2006 Götz Waschk <waschk@mandriva.org> 0.11.17-3mdk
- another dir fix for x86_64

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 0.11.17-2mdk
- fix python module file listing

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.11.17-1mdk
- drop patch 1
- New release 0.11.17

* Wed Jan 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.16-3mdk
- Add missing buildrequires

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 0.11.16-2mdk
- fix pkgconfig file

* Tue Dec 13 2005 Götz Waschk <waschk@mandriva.org> 0.11.16-1mdk
- drop patch 1
- New release 0.11.16

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.15-4mdk
- Patch1 (CVS): fix a11y slowness

* Thu Dec 01 2005 Michael Scherer <misc@mandriva.org> 0.11.15-3mdk
- mkrel
- enable python binding in a subpackage

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 0.11.15-2mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.11.15-1mdk
- drop patch 1
- New release 0.11.15

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.14-2mdk 
- Patch1 (CVS): clean utmp if closing abrutly (GNOME bug #312373)

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.11.14-1mdk
- New release 0.11.14

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.13-1mdk 
- Release 0.11.13

* Thu Mar 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.12-2mdk 
- Use official tarball this time, fix Mdk bug #12990

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.12-1mdk 
- Release 0.11.12
- Remove patches 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 (merged upstream)

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.11-4mdk 
- Patch4 (Fedora): stick bottom row to bottom of terminal when resizing
- Patch5 (Fedora): fix crash in input methods (RH bug #131226)
- Patch6 (Fedora): add "scroll-up/down" control sequence for better xterm compatibily
- Patch7 (Fedora): improve background redraw
- Patch8 (Fedora): fix keypad keys when numlock is on in app mode
- Patch9 (Fedora): fix terminal corruption with UTF8
- Patch10 (Fedora): fix terminal corruption with hilight mouse mode

* Thu Sep 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.11.11-3mdk
- fix buildrequires

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.11-2mdk
- Enable libtoolize
- Patch1 (Soren): performance improvements (GNOME bug #143914)
- Patches 2&3 (Benjamin): performance improvements (GNOME bug #137864)

* Fri May 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.11.11-1mdk
- drop patches 1,2,3,4 (merged)
- New release 0.11.11

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.10-6mdk
- Patch4 (CVS): fix slowness when using transparent background

